YAML::PP::Writer(3pm)

NAME
YAML::PP::Writer - Write YAML output

SYNOPSIS
    my $writer = YAML::PP::Writer->new;

DESCRIPTION
The YAML::PP::Emitter sends its output to the writer.

You can use your own writer. if you want to send the YAML output to somewhere else. See t/44.writer.t for an example.

METHODS

new
        my $writer = YAML::PP::Writer->new;

    Constructor.

write
        $writer->write('- ');

init
        $writer->init;

    Initialize

finish
        $writer->finish;

    Gets called when the output ends.

output, set_output
    Getter/setter for the YAML output